Package picard.cmdline.argumentcollections

# Class OptionalReferenceArgumentCollection

java.lang.Object
picard.cmdline.argumentcollections.OptionalReferenceArgumentCollection

All Implemented Interfaces:
  `ReferenceArgumentCollection`

public class OptionalReferenceArgumentCollection extends Object implements ReferenceArgumentCollection
Picard default argument collection for an optional reference.

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`REFERENCE_SEQUENCE`

## Constructor Summary

Constructors
Constructor
Description
`OptionalReferenceArgumentCollection()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getReferenceFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### REFERENCE_SEQUENCE

@Argument(shortName="R", doc="Reference sequence file.", common=true, optional=true) public File REFERENCE_SEQUENCE

## Constructor Details

### OptionalReferenceArgumentCollection

public OptionalReferenceArgumentCollection()

## Method Details

### getReferenceFile

public File getReferenceFile()

Specified by:
  `getReferenceFile` in interface `ReferenceArgumentCollection`
Returns:
  The reference provided by the user, if any, or the default defined by `htsjdk.samtools.Defaults.REFERENCE_FASTA`